RK-J - Feature #1822

Task # 1849 (Closed): Handle ingest background thread being killed because the instance running it is terminated

Allow resumption of ingest if instance on which "ingest background thread" was terminated

10/29/2021 01:56 PM - Ram Kordale

Status: Closed Start date: 12/03/2021
Priority: Normal Due date: 12/07/2021
Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1-RK-J-1 Spent time: 0.00 hour
Description

On-the-Decument>List page, provide a 'resume’ button when resumption is a valid option

-Take the simplistic approach that if none of the DS tables are updated for the book in the last 10 minutes, the instance doing the

ingest has terminated and resumption is a valid option for the book.

Schema Document: https://docs.google.com/document/d/1exNwZ22e_ocD3ZkUodZwdJi3VIcYwT8sO0sK2ytdPOlo/edit

History

#1 - 11/01/2021 07:31 AM - Saitej Varri
- Status changed from New to In Progress

- Assignee set to Saitej Varri

#2 - 11/03/2021 05:38 AM - Ram Kordale
- Parent task set to #1849

Adding parent ticket for ease of tracking.

#3 - 11/03/2021 11:07 AM - Ayush Khandelwal

- Description updated

#4 - 01/27/2022 04:45 AM - Ayush Khandelwal

- Status changed from In Progress to Resolved

Working as expected in all platforms.

#5 - 03/08/2022 04:53 AM - Ayush Khandelwal

- Status changed from Resolved to Feedback

- Assignee changed from Saitej Varri to Ram Kordale

Working as expected

#6 - 03/08/2022 07:20 AM - Ram Kordale
- Status changed from Feedback to Closed
